=======
 Lock
=======

-------
Classes
-------

.. autoclass:: fasteners.lock.ReaderWriterLock
   :members:

----------
Decorators
----------

.. autofunction:: fasteners.lock.read_locked

.. autofunction:: fasteners.lock.write_locked

.. autofunction:: fasteners.lock.locked

----------------
Helper functions
----------------

.. autofunction:: fasteners.lock.try_lock
